aboutsummaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2018-12-14 16:00:05 +0000
committerGerrit Code Review <gerrit@automotivelinux.org>2018-12-14 16:00:05 +0000
commit0c1f5b17b0280b9cac606f68de7b587b98c01dd2 (patch)
tree38b9e2206ddc91d5951ee85b2f6639b1a4d95c40 /jjb
parentd0d1d50a9584824aa20841ad603c26b3b42e3308 (diff)
parentd1cfb6956a205a502aa755b906dcc2d998540c6c (diff)
Merge "Support BUILDONLY job parameter"
Diffstat (limited to 'jjb')
-rw-r--r--jjb/common/include-agl-header.sh10
-rw-r--r--jjb/release-jjb-flounder-snapshot/release-jjb-flounder-snapshot.yaml4
-rw-r--r--jjb/release-jjb-guppy-snapshot/release-jjb-guppy-snapshot.yaml4
3 files changed, 18 insertions, 0 deletions
diff --git a/jjb/common/include-agl-header.sh b/jjb/common/include-agl-header.sh
index 946b2e92..091f9dd8 100644
--- a/jjb/common/include-agl-header.sh
+++ b/jjb/common/include-agl-header.sh
@@ -122,6 +122,16 @@ eval TARGETIMAGEnogfx="$TARGETIMAGEnogfx"
# The 'real' machine name
export TARGETMACHINE=${MACHINE}
+# bail out if we're not the 'BUILDONLY' machine
+if test -n "${BUILDONLY}" ; then
+ if test x"ignore" != x"${BUILDONLY}" ; then
+ if test x"${MACHINE}" != x"${BUILDONLY}" ; then
+ echo "Skipping ${MACHINE} as BUILDONLY is ${BUILDONLY}."
+ exit 1
+ fi
+ fi
+fi
+
# The exceptions
if $NOGFX; then
export TARGETIMAGE=${TARGETIMAGEnogfx}
diff --git a/jjb/release-jjb-flounder-snapshot/release-jjb-flounder-snapshot.yaml b/jjb/release-jjb-flounder-snapshot/release-jjb-flounder-snapshot.yaml
index 6c6e2bde..98e46584 100644
--- a/jjb/release-jjb-flounder-snapshot/release-jjb-flounder-snapshot.yaml
+++ b/jjb/release-jjb-flounder-snapshot/release-jjb-flounder-snapshot.yaml
@@ -35,6 +35,10 @@
name: UPLOAD
default: yes_or_no
description: "Upload?"
+ - string:
+ name: BUILDONLY
+ default: ignore
+ description: "build only specified machine"
axes:
- axis:
type: user-defined
diff --git a/jjb/release-jjb-guppy-snapshot/release-jjb-guppy-snapshot.yaml b/jjb/release-jjb-guppy-snapshot/release-jjb-guppy-snapshot.yaml
index 1818006f..5686fb54 100644
--- a/jjb/release-jjb-guppy-snapshot/release-jjb-guppy-snapshot.yaml
+++ b/jjb/release-jjb-guppy-snapshot/release-jjb-guppy-snapshot.yaml
@@ -35,6 +35,10 @@
name: UPLOAD
default: yes_or_no
description: "Upload?"
+ - string:
+ name: BUILDONLY
+ default: ignore
+ description: "build only specified machine"
axes:
- axis:
type: user-defined